%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/tdewolff/parse
Version:                2.7.15

%gometa

%global goaltipaths     github.com/tdewolff/parse/v2

%global common_description %{expand:
Go parsers for web formats.}

%global golicenses      LICENSE.md
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go parsers for web formats

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
